cascading.tuple.hadoop.collect

## Class HadoopTupleMapFactory

- java.lang.Object
- - cascading.tuple.hadoop.collect.HadoopTupleMapFactory

- All Implemented Interfaces:
    CascadingFactory<org.apache.hadoop.conf.Configuration,java.util.Map<Tuple,java.util.Collection<Tuple>>>, TupleMapFactory<org.apache.hadoop.conf.Configuration>

      public class HadoopTupleMapFactory
      extends java.lang.Object
      implements TupleMapFactory<org.apache.hadoop.conf.Configuration>

- - ### Field Summary

    - ### Fields inherited from interface cascading.tuple.collect.TupleMapFactory

      `TUPLE_MAP_FACTORY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HadoopTupleMapFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<Tuple,java.util.Collection<Tuple>>` | `create(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess)` Method create will return a new instance of the type create by this factory.
    `void` | `initialize(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess)` Method initialize will configure an initialize this factory instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HadoopTupleMapFactory

          public HadoopTupleMapFactory()

  - ### Method Detail

    - #### initialize

          public void initialize(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess)

      Description copied from interface: `CascadingFactory`
      Method initialize will configure an initialize this factory instance.
      Specified by:
        `initialize` in interface `CascadingFactory<org.apache.hadoop.conf.Configuration,java.util.Map<Tuple,java.util.Collection<Tuple>>>`
      Parameters:
        `flowProcess` - of type FlowProcess

    - #### create

          public java.util.Map<Tuple,java.util.Collection<Tuple>> create(FlowProcess<? extends org.apache.hadoop.conf.Configuration> flowProcess)

      Description copied from interface: `CascadingFactory`
      Method create will return a new instance of the type create by this factory.
      Specified by:
        `create` in interface `CascadingFactory<org.apache.hadoop.conf.Configuration,java.util.Map<Tuple,java.util.Collection<Tuple>>>`
      Parameters:
        `flowProcess` - of type FlowProcess
      Returns:
        of type Instance

Copyright © 2007-2015 Xplenty, Inc. All Rights Reserved.